import IWebSocket from "./socket";
import * as WebSocket from "ws";
export declare class NodeWebSocket implements IWebSocket {
    ws: WebSocket;
    constructor(url: string);
    onopen(callback: () => void): void;
    onmessage(callback: (data: string) => void): void;
    onclose(callback: () => void): void;
    onerror(callback: (err: Error) => void): void;
    send(data: string): void;
    close(): void;
}
import Database from "./database";
export { Database };
export default Database;
export * from "./index";
